﻿using System;
using System.Net;

namespace Avarton_Scanner
{
    public class Client
    {
        public int ID { get; set; }
        public String SSID { get; set; }
        public String MAC { get; set; }
        public String IP { get; set; }
        public DateTime FirstSeen { get; set; }
        public DateTime LastSeen { get; set; }
        public Int64 ConnectionTimeInSeconds { get; set; }
        public String Domain { get; set; }
        public String Hostname { get; set; }

        public Client(int id, String ssid, String mac, String ip, DateTime firstseen, DateTime lastseen, Int64 connectiontimeinseconds, String domain, string hostname)
        {
            ID = id;
            SSID = ssid;
            MAC = mac;
            IP = ip;
            FirstSeen = firstseen;
            LastSeen = lastseen;
            ConnectionTimeInSeconds = connectiontimeinseconds;
            Domain = domain;
            Hostname = hostname;
        }

        public Client()
        {
            //empty constructor
        }

        public override string ToString()
        {
            return String.Format("SSID: {0}, MAC: {1}, IP: {2}, First: {3}, Last: {4}, Seconds: {5}, Domain: {6}, Hostname: {7}.", SSID, MAC, IP, FirstSeen, LastSeen, ConnectionTimeInSeconds, Domain, Hostname);
        }
    }
}
