﻿using System;
using System.Net;

namespace Avarton_Scanner
{
    public class Network
    {
        public int ID { get; set; }
        public String SSID { get; set; }
        public String MAC { get; set; }
        public String IP { get; set; }
        public DateTime FirstSeen { get; set; }
        public DateTime LastSeen { get; set; }

        /// <summary>
        /// Signal strenght measured in -(...)dBm.
        /// </summary>
        public int SignalStrength { get; set; }

        /// <summary>
        /// Signal quality measured in (...)%.
        /// </summary>
        public int SignalQuality { get; set; }
        public String TypeOfSecurity { get; set; }

        public Network(int id, String ssid, String mac, String ip, DateTime firstseen, DateTime lastseen, int signalstrength, int signalquality, String security)
        {
            ID = id;
            SSID = ssid;
            MAC = mac;
            IP = ip;
            FirstSeen = firstseen;
            LastSeen = lastseen;
            SignalStrength = signalstrength;
            SignalQuality = signalquality;
            TypeOfSecurity = security;
        }

        public Network()
        { 
            //empty constructor
        }

    }
}
